package com.fs.company.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.company.mapper.CompanyUserUserMapper;
import com.fs.company.domain.CompanyUserUser;
import com.fs.company.service.ICompanyUserUserService;

/**
 * companyUserUserService业务层处理
 * 
 * @author fs
 * @date 2023-12-19
 */
@Service
public class CompanyUserUserServiceImpl implements ICompanyUserUserService 
{
    @Autowired
    private CompanyUserUserMapper companyUserUserMapper;

    /**
     * 查询companyUserUser
     * 
     * @param id companyUserUser主键
     * @return companyUserUser
     */
    @Override
    public CompanyUserUser selectCompanyUserUserById(Long id)
    {
        return companyUserUserMapper.selectCompanyUserUserById(id);
    }

    /**
     * 查询companyUserUser列表
     * 
     * @param companyUserUser companyUserUser
     * @return companyUserUser
     */
    @Override
    public List<CompanyUserUser> selectCompanyUserUserList(CompanyUserUser companyUserUser)
    {
        return companyUserUserMapper.selectCompanyUserUserList(companyUserUser);
    }

    /**
     * 新增companyUserUser
     * 
     * @param companyUserUser companyUserUser
     * @return 结果
     */
    @Override
    public int insertCompanyUserUser(CompanyUserUser companyUserUser)
    {
        return companyUserUserMapper.insertCompanyUserUser(companyUserUser);
    }

    /**
     * 修改companyUserUser
     * 
     * @param companyUserUser companyUserUser
     * @return 结果
     */
    @Override
    public int updateCompanyUserUser(CompanyUserUser companyUserUser)
    {
        return companyUserUserMapper.updateCompanyUserUser(companyUserUser);
    }

    /**
     * 批量删除companyUserUser
     * 
     * @param ids 需要删除的companyUserUser主键
     * @return 结果
     */
    @Override
    public int deleteCompanyUserUserByIds(Long[] ids)
    {
        return companyUserUserMapper.deleteCompanyUserUserByIds(ids);
    }

    /**
     * 删除companyUserUser信息
     * 
     * @param id companyUserUser主键
     * @return 结果
     */
    @Override
    public int deleteCompanyUserUserById(Long id)
    {
        return companyUserUserMapper.deleteCompanyUserUserById(id);
    }
}
